TYPOS3.Flow - Bug # 35059
Complexity:
Subject: Default for nullable is TRUE but should be FALSE

Description

The nullable option for columns is FALSE in Doctrine 2 unless otherwise indicated. Our annotation driver uses a default of TRUE,
which breaks the intended alignment of behavior between vanilla Doctrine 2 and the FLOWS integration.

Associated revisions

Revision 115bda50 - 2012-04-20 10:44 - Karsten Dambekalns

["[BUGFIX] Changes the default for nullable columns to FALSE

This change makes columns not nullable by default, as is the case with
vanilla Doctrine 2.

This is a breaking change if you rely on NULL values to be returned
to detect special cases, like for not using unset date properties.
In those cases you need to mark your property with the Doctrine

annotation: Column(nullable=true)
Change-Id: 19537b22220376¢f87c0e547c662b90cch 1532866

Fixes: #35059
Releases: 1.1

History

#1 - 2012-03-20 22:44 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9774

#2 - 2012-04-02 08:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9774

#3 - 2012-04-12 11:27 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9774

#4 - 2012-04-20 10:44 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9774

#5 - 2012-04-20 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:115bda50778c04619481554a94bf5b47ab98409b.
